Bug 1561733 - Rebalance failures on a dispersed volume with lookup-optimize enabled
Summary: Rebalance failures on a dispersed volume with lookup-optimize enabled
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: disperse
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: RHGS 3.4.0
Assignee: Xavi Hernandez
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1561406
Blocks: 1503137
TreeView+ depends on / blocked
 
Reported: 2018-03-28 18:47 UTC by Xavi Hernandez
Modified: 2018-09-04 08:22 UTC (History)
9 users (show)

Fixed In Version: glusterfs-3.12.2-7
Doc Type: Bug Fix
Doc Text:
Previously, when lookup-optimize was enabled, some files were not migrated on a disperse volume due to incomplete data returned by a special rebalance request. This fix ensures that all required data is transferred and all files are migrated.
Clone Of: 1561406
Environment:
Last Closed: 2018-09-04 06:45:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:46:54 UTC

Description Xavi Hernandez 2018-03-28 18:47:58 UTC
+++ This bug was initially created as a clone of Bug #1561406 +++

Description of problem:

When rebalance is executed after adding a brick (or some other operation that changes the layout) on a dispersed volume with lookup-optimize enabled, some files are not migrated to the right brick.

Version-Release number of selected component (if applicable): mainline


How reproducible:

Always

Steps to Reproduce:
1. Create a disperse volume
2. Enable lookup-optimize
3. Create some files
4. Add new bricks
5. Run rebalance

Actual results:

Some files are not migrated

Expected results:

All files should be migrated

Additional info:

There's a bug in EC that causes the request for trusted.glusterfs.list-node-uuids xattr to be only processed in one subvolume. This causes that the resulting list only contains one of the UUIDs and all the other are set to the null uuid, as if they were down.

Comment 6 Prasad Desala 2018-05-11 09:25:17 UTC
Verified this BZ on glusterfs version 3.12.2-9.el7rhgs.x86_64.

When rebalance is executed after adding a brick on a dispersed volume with lookup-optimize enabled, files are getting migrated without any issues to the bricks.

Moving this BZ to Verified.

Comment 10 errata-xmlrpc 2018-09-04 06:45:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.